Delete a custom object record
DELETE/v1/objects/{entitySlug}/values/{id}
Moves a custom object record to the trash. The record is soft-deleted and may be restored from the Lightfield UI.
Calling delete on an already-trashed record is a no-op and returns the existing record.
Required scope: custom_objects:delete
Rate limit category: Write
Delete a custom object record
curl https://api.lightfield.app/v1/objects/$ENTITY_SLUG/values/$ID \
-X DELETE \
-H 'Lightfield-Version: 2026-03-01' \
-H "Authorization: Bearer $API_KEY"{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}Returns Examples
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}